Opened 17 years ago

Closed 17 years ago

Last modified 4 years ago

#1372 closed defect (fixed)

BUG: rrdtool

Reported by: julien.touche@… Owned by: opendarwin.org@…
Priority: Normal Milestone:
Component: ports Version: 1.0
Keywords: Cc:
Port:

Description

trying to install rrdtool on panther (10.3.2), compiling fails for a struct redefinition.

on openbsd 3.4-stable (i386), build is ok, but destroot fails (file missing & warning about owner/group)

Attachments (4)

rrdtool.err (4.0 KB) - added by julien.touche@… 17 years ago.
panther error log
rrdtool-ob.err (48.0 KB) - added by julien.touche@… 17 years ago.
openbsd error log
net_rrdtool.patch (5.1 KB) - added by opendarwin.org@… 17 years ago.
cvs diff -u (pwd = dports/net/rrdtool) - upgrade to 1.0.46, make the install cleaner
patch-contrib-trytime-Makefile.in (649 bytes) - added by opendarwin.org@… 17 years ago.
additional patch file, should be located in net/rrdtool/files/

Download all attachments as: .zip

Change History (11)

Changed 17 years ago by julien.touche@…

Attachment: rrdtool.err added

panther error log

Changed 17 years ago by julien.touche@…

Attachment: rrdtool-ob.err added

openbsd error log

comment:1 Changed 17 years ago by opendarwin.org@…

Owner: changed from darwinports-bugs@… to opendarwin.org@…

comment:2 Changed 17 years ago by opendarwin.org@…

Status: newassigned

comment:3 Changed 17 years ago by opendarwin.org@…

Patches to bring rrdtool up to 1.0.46. Tested on 10.3.1 only. I'll create attachments to this bug that are patches for:

  • net/rrdtool/
    • Portfile
    • files/
      • patch-contrib-Makefile.in
      • patch-doc-Makefile.in
      • patch-examples-Makefile.in

New file:

  • net/rrdtool/files/patch-contrib-trytime-Makefile.in

and it appears that we can delete

  • net/rrdtool/files/patch-Makefile.in
Last edited 4 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

Changed 17 years ago by opendarwin.org@…

Attachment: net_rrdtool.patch added

cvs diff -u (pwd = dports/net/rrdtool) - upgrade to 1.0.46, make the install cleaner

Changed 17 years ago by opendarwin.org@…

additional patch file, should be located in net/rrdtool/files/

comment:4 Changed 17 years ago by pguyot (Paul Guyot)

Julien, does it build on openbsd now?

comment:5 Changed 17 years ago by julien.touche@…

on openbsd

$ patch -p0 < /share2/net_rrdtool.patch
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: Portfile
|===================================================================
|RCS file: /Volumes/src/cvs/od/projects/darwinports/dports/net/rrdtool/Portfile,v
|retrieving revision 1.5
|diff -u -r1.5 Portfile
|--- Portfile    5 Aug 2003 21:02:32 -0000       1.5
|+++ Portfile    8 Jan 2004 06:40:37 -0000
--------------------------
Patching file Portfile using Plan A...
Hunk #1 failed at 2.
1 out of 1 hunks failed--saving rejects to Portfile.rej
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: files/patch-contrib-Makefile.in
|===================================================================
|RCS file: /Volumes/src/cvs/od/projects/darwinports/dports/net/rrdtool/files/patch-contrib-Makefile.in,v
|retrieving revision 1.1
|diff -u -r1.1 patch-contrib-Makefile.in
|--- files/patch-contrib-Makefile.in     14 Apr 2003 16:45:10 -0000      1.1
|+++ files/patch-contrib-Makefile.in     8 Jan 2004 06:40:37 -0000
--------------------------
Patching file files/patch-contrib-Makefile.in using Plan A...
patch: **** malformed patch at line 65: 3 php4

there is also some problems on 10.3.2 to applied patch

Last edited 4 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:6 Changed 17 years ago by julien.touche@…

sorry, i retry this evening. and patch were ok seems lynx/links has error in downloading files. safari-dled were ok.

tested on MacOS X.3.2 and openbsd 3.4-stable and install works well.

comment:7 Changed 17 years ago by pguyot (Paul Guyot)

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.